function cpb=menu_principal

global choixpb

% Construction du menu
hFigure = figure('Name', 'NS2D', 'MenuBar','none','numbertitle','off',...
                 'units','pixels','position',[600 600 485 280]);

bgColor = get(hFigure,'Color');

uicontrol('Parent',hFigure,'style','text',...
   'BackgroundColor',bgColor,...
   'units','normalized','position',[0 0.8 1 0.1],...
   'string','Solveur Navier-Stokes 2D','FontSize',16);

 hbgp = uibuttongroup('Parent',hFigure,'Position',[0 0.24  0.6 0.45],...
                      'BackgroundColor',bgColor,...
                      'Title','Choix du problème à résoudre',...
                      'FontSize',14);
        
rb1=uicontrol('Parent',hbgp,'style','radiobutton',...
    'units','normalized','position',[0.1 0.6 0.6 0.2],...
    'BackgroundColor',bgColor,...
    'string','Cavité entrainée');

rb2=uicontrol('Parent',hbgp,'style','radiobutton',...
    'units','normalized','position',[0.1 0.25 0.6 0.2],...
    'BackgroundColor',bgColor,...
    'string','Allées de Von Karman');

%set(hbgp,'SelectedObject',[]);  % Pas de selection
set(hbgp,'SelectedObject',rb1);  % rb1 par default
choixpb=1;
set(hbgp,'SelectionChangeFcn',@(s,e) selcbk(s,e,rb1,rb2));
set(hbgp,'Visible','on');

uicontrol('Parent',hFigure,'style','pushbutton',...
    'units','normalized',...
    'position',[0.375 0.08 0.25 0.1],...
    'string','OK',...
    'callback','close;');
uiwait

cpb=choixpb;

%--------------------------------------------------------------------------
function selcbk(source,eventdata,rb1,rb2)
if eventdata.NewValue==rb1, 
    choixpb=1;
else
    choixpb=2;
end
end

end
