function [pas_h,dhmax]=menu_mesh

global pas dh

% Valeurs par defaut

pas = '0.025';
dh='';

hFigure = figure('Name', 'NS2D', 'MenuBar','none','numbertitle','off',...
                 'units','pixels','position',[600 600 485 250]);
                 
bgColor = get(hFigure,'Color');

uicontrol('Parent',hFigure,'style','text',...
   'BackgroundColor',bgColor,...
   'units','normalized','position',[0 0.85 1 0.1],...
   'string','Solveur Navier-Stokes 2D','FontSize',16);

%--------------------------------------------------------------------------
% Construction du menu 'Maillage'
%--------------------------------------------------------------------------
hbgp = uibuttongroup('Parent',hFigure,'units','normalized',...
    'Position',[0 0.28 0.9 0.5],...
    'BackgroundColor',bgColor,...
    'Title','Paramètres du maillage',...
    'FontSize',14);
       
uicontrol('Parent',hbgp,'style','text',...
    'string','Pas de discrétisation   pas_h = ',...
    'HorizontalAlignment','left','BackgroundColor',bgColor,...
    'units','normalized','position',[0 0.6 0.46 0.2]);

uicontrol('Parent',hbgp,'style','edit',...
    'units','normalized','position',[0.47 0.59 0.1 0.25],...
    'BackgroundColor','white','HorizontalAlignment','left',...
    'string',pas,'callback',@majpas);

uicontrol('Parent',hbgp,'style','text',...
    'string','Qualité  d_h = ',...
    'HorizontalAlignment','left','BackgroundColor',bgColor,...
    'units','normalized','position',[0 0.24 0.22 0.2]);

uicontrol('Parent',hbgp,'style','edit',...
    'units','normalized','position',[0.23 0.23 0.1 0.25],...
    'BackgroundColor','white','HorizontalAlignment','left',...
    'string',dh,'callback',@majdh);

%--------------------------------------------------------------------------
uicontrol('Parent',hFigure,'style','pushbutton',...
    'units','pixels',...
    'position',[212 20 60 30],...
    'string','OK',...
    'callback','close;');
    
uiwait

pas_h=eval(pas); 
if ~isempty(dh),
    dhmax=eval(dh);
else
    dhmax=[];
end;

%--------------------------------------------------------------------------
function majpas(source,eventdata)
  pas=get(source,'String');
end
function majdh(source,eventdata)
  dh=get(source,'String');
end

end